KDE 4.2 PyKDE API Reference

- KDE's Python API

# Soprano.Inference Namespace Reference

`from PyKDE4.soprano.Soprano.Inference import *`

## Detailed Description

## Class Index

I | R | S
InferenceModel (Soprano.Inference) | Rule (Soprano.Inference) | StatementPattern (Soprano.Inference)
N | RuleParser (Soprano.Inference) |
NodePattern (Soprano.Inference) | RuleSet (Soprano.Inference) |

## Enumerations

StandardRuleSet | { RDFS, NRL }

## Enumeration Documentation

StandardRuleSet

%Soprano defines a number of rule sets.

Enumerator:

  RDFS RDFS closure rules. < p> |
  NRL NRL (Nepomuk Representation Language closure rules. < p> |